package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.dto.system.LoginDto;
import com.atguigu.spzx.model.entity.system.SysUser;
import com.atguigu.spzx.model.vo.system.LoginVo;

public interface SysUserService {
    /**
     * * 登录请求实现
     *
     * @param loginDto 登录请求参数
     * @return 登录后结果
     */
    LoginVo login(LoginDto loginDto);

    /**
     * * 获取当前登录用户信息
     *
     * @param token token值
     * @return 用户信息
     */
    SysUser getUserInfo(String token);

    /**
     * * 用户退出接口
     *
     * @param token token值
     */
    void logout(String token);
}
